package com.zipcodewilmington.phonebook;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;

/**
 * Created by leon on 1/23/18.
 */
public class PhoneBook {

    public static void main(String[] args) {

    }

    private Map<String, ArrayList<String>> contacts;

    public PhoneBook() {
        contacts=new TreeMap<String, ArrayList<String>>();
    }

    public void addRecord(String name, ArrayList<String> phoneNumber) {
        this.contacts.put(name,phoneNumber);
    }

    public boolean hasEntry(String name) {
        return contacts.containsKey(name);
    }

//    public void add(String name, ArrayList<String> phoneNumber) {
//        //ArrayList<String> details = new ArrayList<>();
//
//        contacts.put(name,phoneNumber);
//
//    }


    public String lookUp(String name) {
        String results = "";

    for (String str: contacts.get(name)){
        results += str+"\n";
    }
        return results.trim();

    }

    public void removeRecods(String name) {
        contacts.remove(name);

    }

    public String reverseLookup(String phoneNumber) {
        String results = "";

        for (String str: contacts.keySet()) {
            if (contacts.get(str).contains(phoneNumber)) {
                results = str;
            }
        }
        return results.trim();
    }

    public String ListNamesandNumbers() {

            return String.valueOf(contacts);

    }



    public int getSize() {
        return contacts.size();
    }
}
